###* chopper ###

class Chopper extends Entity

  constructor: (name,sprites) ->
    super name, WIDTH/2, HEIGHT/2, 10, 80, 80

    @_addComponent 'sprites', new AnimationComponent sprites, 7
    @_addComponent 'clear', new ClearComponent @x, @y, @width, @height
    @dy = -0.8

  toString: ->
    return @name

  update: (delta)->
    
    if @xPos > WIDTH
      @xPos = 0
    else if @xPos < -@width
      @xPos = WIDTH
    
    if @yPos > HEIGHT
      @yPos = 0
    else if @yPos < -@height
      @yPos = HEIGHT

    super delta

  clear: (cxt) ->
    @comps['clear'].render cxt, @x, @y

  render: (cxt) ->
    @comps['sprites'].render cxt, @x, @y
