###* AnimationComponent ###

# Takes an array of sprites and renders each sprite with the specified delay
class AnimationComponent

  constructor: (@sprites,@delay) ->
    @current = 0
    @tick = 0

  setDelay: (@delay) ->
    
  render: (cxt,x,y) ->
    cxt.drawImage @sprites[@current], x, y
    if @tick % @delay == 0
      @current = (@current + 1) % @sprites.length
    @tick = @tick+1
    