###* cloud ###

class Cloud extends Entity

  constructor: (id,@sprite) ->
    ranHeight = Math.floor Math.random()*HEIGHT-@sprite.height
    ranSpeed = 2+Math.floor Math.random()*2
    super id, -@sprite.width, ranHeight, ranSpeed, @sprite.width, @sprite.height

    @dx = 1
    @dt = 0
    @_addComponent 'clear',new ClearComponent @x,@y,@width,@height
    @_roundXandY()
    @resetPosition()

  resetPosition: ->
    @yPos = Math.floor Math.random()*HEIGHT-@sprite.height
    @maxspeed = 1+Math.floor Math.random()*12
    @dx = @maxspeed
    @xPos = -@width

  update: (delta) ->
    super delta

    @dx = @maxspeed * Math.abs Math.sin(@dt)
    if @xPos > WIDTH
      @resetPosition()
    @dt += 0.1*Math.PI

  clear: (cxt) ->
    @comps['clear'].render cxt, @x, @y

  render: (cxt) ->
    cxt.drawImage @sprite, @x, @y
    