###* main ###

###
  VARIABLES
###

DEBUG = on
$ = jQuery
$h = (x) -> ($ x)[0]
g = null  # holds 'Game'
dtime = 0
keys = {'Left': false,
'Up': false,
'Right': false,
'Down': false,
'w': false,
's': false,
'a': false,
'd': false}

isLittleEndian = true # test in test.coffee

###*
  main
  exports to window.main
  binds events and such
###
main = ->
  setupTools()

  ($ 'body').append "<div id=\"debug\" style=\"font-family: PressStart2P\"></div>"

  # go fullscreen!
  el = ($ 'html')[0]

  ### Bind events ###
  ($ '#fullscreen')[0].addEventListener 'click', =>
    rfs = el.requestFullScreen or
      el.webkitRequestFullScreen or
      el.mozRequestFullScreen or
      el.msRequestFullScreen

    if rfs? or typeof rfs isnt 'undefined'
      rfs.call el
    else if typeof window.ActiveXObject isnt 'undefined'
      wscript = new ActiveXObject "WScript.shell"
      if wscript?
        wscript.SendKeys '{F11}'

  ($ '#game').width WIDTH
  ($ '#game').height HEIGHT
  ($ document).keydown (evt) ->
    debug "<p>keycode: #{evt.which}</p>"
    switch evt.which
      when 13 then evt.preventDefault()
      when 37 then keys['Left'] = true
      when 38 then keys['Up'] = true
      when 39 then keys['Right'] = true
      when 40 then keys['Down'] = true
      when 65 then keys['a'] = true
      when 87 then keys['w'] = true
      when 68 then keys['d'] = true
      when 83 then keys['s'] = true
      else
        return
  ($ document).keyup (evt) ->
    switch evt.which
      when 13 then evt.preventDefault()
      when 37 then keys['Left'] = false
      when 38 then keys['Up'] = false
      when 39 then keys['Right'] = false
      when 40 then keys['Down'] = false
      when 65 then keys['a'] = false
      when 87 then keys['w'] = false
      when 68 then keys['d'] = false
      when 83 then keys['s'] = false
      else
        return


  g = new Game

  $g = ($ '#game')
  $g.children().css 'height:100%;width:100%;'
  run()



###* 
  run
  Should probably be called 'mainloop'.
###
run = ->
  delta = ((new Date).getTime() - dtime) * 1e-3
  dtime = (new Date).getTime()
  g.update(delta)
  g.draw()
  return window.requestAnimationFrame(run)

# EXPORT TO GLOBAL OBJECT
window.main = main
